Loading...
Searching...
No Matches
svn_fs_path_change_t Struct Reference
Filesystem interaction subsystem » Filesystem directories

Similar to svn_fs_path_change2_t, but without kind and copyfrom information. More...

`#include <svn_fs.h>`

## Data Fields

const svn_fs_id_t * | node_rev_id
| node revision id of changed path
svn_fs_path_change_kind_t | change_kind
| kind of change
svn_boolean_t | text_mod
| were there text mods?
svn_boolean_t | prop_mod
| were there property mods?

## Detailed Description

Similar to svn_fs_path_change2_t, but without kind and copyfrom information.

Deprecated
  Provided for backwards compatibility with the 1.5 API.

Definition at line 1636 of file svn_fs.h.

## Field Documentation

## change_kind

svn_fs_path_change_kind_t svn_fs_path_change_t::change_kind

kind of change

Definition at line 1642 of file svn_fs.h.

## node_rev_id

const svn_fs_id_t* svn_fs_path_change_t::node_rev_id

node revision id of changed path

Definition at line 1639 of file svn_fs.h.

## prop_mod

svn_boolean_t svn_fs_path_change_t::prop_mod

were there property mods?

Definition at line 1648 of file svn_fs.h.

## text_mod

svn_boolean_t svn_fs_path_change_t::text_mod

were there text mods?

Definition at line 1645 of file svn_fs.h.

The documentation for this struct was generated from the following file:

- svn_fs.h